
Foreman - Feature #3307

Provide user friendly information when Console tab doesn't work

10/17/2013 08:45 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: VM management   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

"I feel that we need to provide some type of informative, user friendly notification to the user when the Console tab doesn't work.

Right now we display a generic message stating the the connection timed out but if for instance the issue is iptables related, could

we provide some type of information as to what are the known issues (see http://projects.theforeman.org/projects/1/wiki/NoVNC)"

(https://bugzilla.redhat.com/show_bug.cgi?id=970665)

Related issues:

Has duplicate Foreman - Feature #4339: Provide Troubleshooting Tips on Server... Duplicate 02/13/2014

Associated revisions

Revision b6a429ae - 02/18/2014 12:35 PM - Stephen Benjamin

fixes #3307 - add troubleshooting to console page

History

#1 - 10/17/2013 08:46 AM - Dominic Cleal

We could just promote the NoVNC content into the manual and then link straight to the manual content (as per #2763) from the console page.

#2 - 02/13/2014 12:53 PM - Dominic Cleal

- Has duplicate Feature #4339: Provide Troubleshooting Tips on Server Console Page added

#3 - 02/14/2014 10:57 AM - Stephen Benjamin

- Subject changed from Provide user friendly information when Console tab doesn't work due to IPTables rules to Provide user friendly information

when Console tab doesn't work

Manual now has VNC troubleshooting steps -  http://theforeman.org/manuals/1.4/index.html#7.1NoVNC

#4 - 02/14/2014 11:32 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Stephen Benjamin

- Target version set to 1.9.1

https://github.com/theforeman/foreman/pull/1239

#5 - 02/19/2014 10:32 AM - Dominic Cleal

- translation missing: en.field_release set to 4

#6 - 02/19/2014 11:31 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
Applied in changeset b6a429ae659171d586400073d4ba7bd7180f8a2f.
